### A free/open-source library for quantitative finance

BlackVolTermStructure Class Reference

Black-volatility term structure. More...

`#include <ql/termstructures/volatility/equityfx/blackvoltermstructure.hpp>`

Inheritance diagram for BlackVolTermStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| BlackVolTermStructure (const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| BlackVolTermStructure (BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| default constructor
| BlackVolTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| BlackVolTermStructure (Natural settlementDays, const Calendar &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Black Volatility
Volatility | blackVol (const Date &maturity, Real strike, bool extrapolate=false) const
| spot volatility
Volatility | blackVol (Time maturity, Real strike, bool extrapolate=false) const
| spot volatility
Real | blackVariance (const Date &maturity, Real strike, bool extrapolate=false) const
| spot variance
Real | blackVariance (Time maturity, Real strike, bool extrapolate=false) const
| spot variance
Volatility | blackForwardVol (const Date &date1, const Date &date2, Real strike, bool extrapolate=false) const
| forward (at-the-money) volatility
Volatility | blackForwardVol (Time time1, Time time2, Real strike, bool extrapolate=false) const
| forward (at-the-money) volatility
Real | blackForwardVariance (const Date &date1, const Date &date2, Real strike, bool extrapolate=false) const
| forward (at-the-money) variance
Real | blackForwardVariance (Time time1, Time time2, Real strike, bool extrapolate=false) const
| forward (at-the-money) variance
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Calculations
These methods must be implemented in derived classes to perform the actual volatility calculations. When they are called, range check has already been performed; therefore, they must assume that extrapolation is required.
virtual Real | blackVarianceImpl (Time t, Real strike) const =0
| Black variance calculation.
virtual Volatility | blackVolImpl (Time t, Real strike) const =0
| Black volatility calculation.

## Detailed Description

Black-volatility term structure.

This abstract class defines the interface of concrete Black-volatility term structures which will be derived from this one.

Volatilities are assumed to be expressed on an annual basis.

## Constructor & Destructor Documentation

BlackVolTermStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

BlackVolTermStructure | ( | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

default constructor

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.